### Function

# Ide VcsCloner clone_simple

#### Declaration

    gboolean
    ide_vcs_cloner_clone_simple (
      IdeContext* context,
      const gchar* module_name,
      const gchar* url,
      const gchar* branch,
      const gchar* destination,
      IdeNotification* notif,
      GCancellable* cancellable,
      GError** error
    )

#### Description

No description available.

#### Parameters

`context` | `IdeContext`
| No description available.
| The data is owned by the caller of the function.
`module_name` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`url` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`branch` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`destination` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`notif` | `IdeNotification`
| No description available.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| No description available.